Subject: Re: bug#53941: 27.2; socks + tor dont work with https

From: Christopher Howard <[email-masked]>
Date: Fri, 23 Aug 2024 13:46:40 -0800

Hello all. I don't pretend to track most of what is going on in this bug thread, but I was wanting to draw more attention to the specific issue of proxies and certs. I use Emacs Elpher for gemini browsing. As a privacy minded individual, I want to by default route everything, including DNS, through my local TOR proxy (localhost:9050). But I also want to be able to check and approve capsule certs and, especially, cert changes. But in Elpher, I have to pick one or the other, since turning on the proxy disables the cert checks. As it has been explained to me, this is due to the current situation with nsm, where you can't have `nsm' checks without also leaking DNS.

-- 
Christopher Howard